Subject: fungal taxonomy

From: [email-masked] (Microbe 99)
Date: 18 Mar 1996 22:54:03 -0500

Can anybody suggest a good text that would be useful in attempting to
classify a culture from a unique environment  down to the species level.
If so where can I find such a volume. Respond to  Microbe 99  at aol.